Two independent dashboard viewers can live on one page, each bound to its own report object.

In Angular.
@Component({
    imports: [Viewer],
    template: `
        <sti-viewer [report]="report1"></sti-viewer>
        <sti-viewer [report]="report2"></sti-viewer>`
})
export class Example {
    report1: Stimulsoft.Report.StiReport;
    report2: Stimulsoft.Report.StiReport;

    constructor() {
        this.report1 = new Stimulsoft.Report.StiReport();
        this.report1.loadFile("Dashboards/Dashboard.mrt");

        this.report2 = new Stimulsoft.Report.StiReport();
        this.report2.loadFile("Dashboards/Orders.mrt");
    }
}

How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

Using the two Viewer in the One Project
Our sample projects and report templates can help you learn the basics of working with our products.Two independent dashboard viewers can live on one page, each bound to its own report object.
In Vue.
How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.
In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-vuejs/viewer";
var report1 = new Stimulsoft.Report.StiReport();
report1.loadFile("Dashboards/Dashboard.mrt");
var report2 = new Stimulsoft.Report.StiReport();
report2.loadFile("Dashboards/Orders.mrt");
</script>
<template>
<Viewer :report="report1" />
<Viewer :report="report2" />
</template>- Each
Viewergets its ownStiReport, so the two dashboards render and operate independently. - The components share no state — loading or interacting with one does not affect the other.
How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.

Using the two Viewer in the One Project
Our sample projects and report templates can help you learn the basics of working with our products.Two independent dashboard viewers can live on one page, each bound to its own report object.
In React.
How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.
In React.
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-react/viewer";
function App() {
var report1 = new Stimulsoft.Report.StiReport();
report1.loadFile("Dashboards/Dashboard.mrt");
var report2 = new Stimulsoft.Report.StiReport();
report2.loadFile("Dashboards/Orders.mrt");
return (
<>
<Viewer report={report1} />
<Viewer report={report2} />
</>
);
}- Each
Viewergets its ownStiReport, so the two dashboards render and operate independently. - The components share no state — loading or interacting with one does not affect the other.
How it works. The viewer is a self-contained component, so any number can be placed on a page, each with a separate dashboard.